Create meeting
curl --request POST \
--url https://app.msportal.ai/api/public/v1/calendar/meetings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"isAllDay": true,
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationText": "<string>",
"notes": "<string>",
"participants": [
{
"email": "jsmith@example.com",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://app.msportal.ai/api/public/v1/calendar/meetings"
payload = {
"title": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"isAllDay": True,
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationText": "<string>",
"notes": "<string>",
"participants": [
{
"email": "jsmith@example.com",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
startTime: '2023-11-07T05:31:56Z',
endTime: '2023-11-07T05:31:56Z',
isAllDay: true,
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locationText: '<string>',
notes: '<string>',
participants: [
{
email: 'jsmith@example.com',
userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
roleId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://app.msportal.ai/api/public/v1/calendar/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"title": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"isAllDay": true,
"companyId": "<string>",
"companyName": "<string>",
"eventType": "<string>",
"status": "<string>",
"locationId": "<string>",
"locationName": "<string>",
"locationText": "<string>",
"createdById": "<string>",
"createdByName": "<string>",
"recurrenceRule": "<string>",
"meetingSource": "<string>",
"externalEventId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"agendaLocked": true,
"participants": [
{
"id": "<string>",
"email": "jsmith@example.com",
"userId": "<string>",
"userName": "<string>",
"acceptanceStatus": "<string>",
"invitationSent": true,
"roleId": "<string>",
"roleName": "<string>"
}
],
"participantCount": 123
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Calendar
Create meeting
Create a new meeting with optional participants. The meeting will be marked as created via API.
POST
/
api
/
public
/
v1
/
calendar
/
meetings
Create meeting
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Body
application/json
Meeting title (required)
Required string length:
1 - 500Meeting start time in ISO 8601 format (required)
Meeting end time in ISO 8601 format (required, must be after startTime)
Whether this is an all-day event (default: false)
Associated company ID
Event type (default: Other)
Available options:
QBR, OnSiteTechVisit, InternalMeeting, ClientCall, ProjectMilestone, ComplianceReview, BusinessReview, Other Meeting status (default: Scheduled)
Available options:
Scheduled, Confirmed, Completed, Canceled, Rescheduled, Pending Notes Location ID
Location description/address
Maximum string length:
500Meeting notes/description
Maximum string length:
10000List of participants to add to the meeting
Show child attributes
Show child attributes
Response
Meeting created successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I